Name:           python-gmpy2
Version:        2.1.5
Release:    1%{?dist}
Summary:        Python interface to GMP, MPFR, and MPC

License:        LGPL-3.0-or-later
URL:            https://pypi.python.org/pypi/gmpy2
Source0:        %pypi_source gmpy2

Patch0:         %{name}-python3.12.patch

BuildRequires:  gcc
BuildRequires:  gmp-devel
BuildRequires:  libmpc-devel
BuildRequires:  make
BuildRequires:  pkgconfig(mpfr)
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist sphinx}

%global _docdir_fmt %{name}

%global common_desc %{expand:
This package contains a C-coded Python extension module that supports
multiple-precision arithmetic.  It is the successor to the original
gmpy module.  The gmpy module only supported the GMP multiple-precision
library.  Gmpy2 adds support for the MPFR (correctly rounded real
floating-point arithmetic) and MPC (correctly rounded complex
floating-point arithmetic) libraries.  It also updates the API and
naming conventions to be more consistent and support the additional
functionality.}

%description %common_desc

%package -n python3-gmpy2
Summary:        Python 3 interface to GMP, MPFR, and MPC

%description -n python3-gmpy2 %common_desc

%package doc
License:        LGPL-3.0-or-later AND BSD-2-Clause AND MIT
Summary:        Documentation for gmpy2
BuildArch:      noarch
Provides:       bundled(js-jquery)

%description doc
This package contains API documentation for gmpy2.

%prep
%autosetup -N -n gmpy2-%{version}
%if 0%{?python3_version_nodots} > 311
%autopatch -p1
%endif

sed -i "s/'default'/'classic'/" docs/conf.py

%generate_buildrequires
%pyproject_buildrequires

%build
export LDSHARED="gcc -shared"

%pyproject_wheel
make -C docs html

%install
%pyproject_install
%pyproject_save_files gmpy2

%check
#%%{python3} test/runtests.py

%files -n python3-gmpy2 -f %{pyproject_files}

%files doc
%doc docs/_build/html/*

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.5-1
- initial build
